#ifndef _CONFIG_H
#define _CONFIG_H

#include <stdint.h>


#ifndef BIT
#define BIT(x) (1 << (x))
#endif

struct gct_config {
	uint32_t	nspid;
//	uint32_t	napid;
	
	int 		wimax_verbose_level;
	int 		wpa_debug_level;
	char * 		log_file;
	char * 		event_script;

	int 		use_pkm;
	int 		eap_type;
	int 		cert_null;
	int 		cert_nv;
	uint8_t *	anonymous_identity;
	size_t 		anonymous_identity_len;
	uint8_t *	identity;	
	size_t 		identity_len;
	uint8_t * 	password;
	size_t 		password_len;
	uint8_t * 	ca_cert;
	uint8_t * 	client_cert;
	uint8_t * 	private_key;
	uint8_t * 	private_key_passwd;
	char * 		phase1;
	char * 		phase2;
#define EAP_CONFIG_FLAGS_PASSWORD_NTHASH BIT(0)
	uint32_t 	flags;	
};


struct gct_config * gct_config_read(const char *name);
void gct_config_free(struct gct_config *config);


#endif /*_CONFIG_H*/